import { z } from "zod"

export const locationCitySchema = z.object({
  attributes: z.object({
    cityIdentifier: z.string().optional(),
    keyWords: z.array(z.string()).optional(),
    name: z.string().optional().default(""),
    countryName: z.string().optional().default(""),
    isPublished: z.boolean(),
  }),
  id: z.string().optional().default(""),
  type: z.literal("cities"),
})
